Subject: bug#38404: 27.0.50; deleting files with ~ on the end with tramp did not work

From: Jean Louis <[email-masked]>
Date: Thu, 28 Nov 2019 13:08:12 +0100

I did it with ssh as root /ssh:[email-masked]:/etc/some/file~

and I could not delete few files, even though permissions were 644

* Michael Albinus <[email-masked]> [2019-11-28 13:00]:
> Jean Louis <[email-masked]> writes:
> 
> Hi,
> 
> > Deleting file /etc/courier/aliases/20191810~ did not work inside of
> > Tramp, there was "permission denied". But other files could be
> > deleted. I was root at the time and I could delete any file. When I
> > entered with ssh to system as root I could delete the file. With Tramp
> > it did not work.
> 
> I cannot repoduce it:
> 
> --8<---------------cut here---------------start------------->8---
> # sudo touch /etc/touch~
> # sudo ls -l /etc/touch~
> -rw-r--r-- 1 root root 0 Nov 28 12:54 /etc/touch~
> # emacs -Q --batch --eval '(delete-file "/ssh:|sudo::/etc/touch~")'
> Password for /sudo:root@host: ********
> # sudo ls -l /etc/touch~
> ls: cannot access '/etc/touch~': No such file or directory
> --8<---------------cut here---------------end--------------->8---
> 
> Does the problem also happen for you if you start "emacs -Q"? If yes,
> could you pls reproduce it step by step, and show those steps? Pls set
> also tramp-verbose to 6, andd show the resulting Tramp debug buffer.
> 
> Best regards, Michael.